<div id="main-container-home" class="d-flex justify-content-center align-items-center">
  <div id="home-content" class="d-flex w-75 justify-content-center">
      <div class="d-flex flex-column m-5 justify-content-center  align-items-center">
        <h1>TestMyApp</h1>
        <!--Positionnement de l'image + chemin pour le trouver: src-->

        <img id="animation"
             src="../../../assets/1.svg"
             class="img-fluid "
             alt="Responsive image"
        />
      </div>

      <!-- Création de balise div pour le positionement des boutton-->
    <div id="form-container" class="m-5 d-flex flex-column justify-content-center">
      <div class="d-flex flex-column justify-content-center">
        <form class="w-75 align-self-center" [formGroup]="registerForm"  (ngSubmit)="onSubmit()"  >
          <p class="mb-3">
            Rejoins notre communauté de bêta-testeurs et aide-nous à améliorer nos applications !
          </p>
          <div class="form-group mb-3">
            <label for="exampleInputEmail1" class="mb-1">Adresse mail</label>
            <input (keyup)="onClearMessage()" formControlName="email" type="email" class="form-control"
            id="exampleInputEmail1" aria-describedby="emailHelp"
             placeholder="example@mail.com" [ngClass]="{ 'is-invalid': submitted && email?.errors }" >
            <small id="emailHelp" class="form-text text-muted">Nous ne partagerons jamais ton e-mail avec quelqu'un d'autre !</small>

            <div *ngIf="submitted && email?.errors" class="invalid-feedback">
              <div *ngIf="email?.errors?.['required']">>Champs requis</div>
              </div>


          </div>
          <div class="form-group mb-3">
            <label for="exampleInputPassword1" class="mb-1">Mot de passe</label>
            <input (keyup)="onClearMessage()"  formControlName="password" type="password" class="form-control"
             id="exampleInputPassword1" placeholder="Indiquez votre mot de passe"  [ngClass]="{ 'is-invalid': submitted && password?.errors }" >

            <div *ngIf="submitted && password?.errors" class="invalid-feedback">
              <div *ngIf="password?.errors?.['required']">>Champs requis</div>
              </div>


          </div>
          <div class="form-check mb-3">
            <input  type="checkbox" class="form-check-input" id="exampleCheck1">
            <label class="form-check-label" for="exampleCheck1">Rester Connecté</label>
          </div>

          <p *ngIf="isValid" style="text-align:center; color:red; font-weight: bold " >{{infoMessage}}</p>

          <button  type="submit" class="btn btn-primary w-100">Connexion</button>
        </form>
      </div>
      <div class="d-flex flex-column justify-content-center">
        <app-sign-up-pop-up class="d-flex flex-column justify-content-center"></app-sign-up-pop-up>
      </div>
    </div>
  </div>
</div>


